(function () {
    'use strict';

    angular
        .module('setoresApp')
        .factory('MotoristaEdicao', MotoristaEdicao);

    MotoristaEdicao.$inject = ['utilsFactory'];

    /* @ngInject */
    function MotoristaEdicao(utilsFactory) {

        function MotoristaEdicao(nome, matricula) {
            this.uuid = this.gerarIdentificadorUnico();
            this.nome = nome;
            this.matricula = matricula;
        }

        MotoristaEdicao.prototype.gerarIdentificadorUnico = function() {
            return utilsFactory.gerarUuidv4();
        };

        return MotoristaEdicao;
    }
})();
